Bug 142589 - rhn_register GUI version has lots of stderr noise
rhn_register GUI version has lots of stderr noise
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Max Spevack
Depends On:
  Show dependency treegraph
Reported: 2004-12-10 14:53 EST by Max Spevack
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: up2date-4.4.7-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-23 17:59:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Max Spevack 2004-12-10 14:53:47 EST
Description of problem:

[root@maxtest1 rhn]# rhn_register
Reading DMI info failed
/usr/share/rhn/up2date_client/checklist.py:21: DeprecationWarning: use
  gtk.CList.__init__ (self, columns+1)
GtkDeprecationWarning: gtk.mainloop is deprecated, use gtk.main instead
  self.warn(message, DeprecationWarning)
Reading DMI info failed
GtkDeprecationWarning: gtk.mainiteration is deprecated, use
gtk.main_iteration instead
  self.warn(message, DeprecationWarning)
GtkDeprecationWarning: gtk.create_pixmap is deprecated, use
gtk.gdk.Pixmap instead
  self.warn(message, DeprecationWarning)
/usr/share/rhn/up2date_client/checklist.py:139: DeprecationWarning:
integer argument expected, got float
  info  = self.get_selection_info (event.x, event.y)
GtkDeprecationWarning: gtk.mainquit is deprecated, use gtk.main_quit
  self.warn(message, DeprecationWarning)

Version-Release number of selected component (if applicable):
Comment 1 Adrian Likins 2005-01-11 13:07:51 EST
should be mostly fixed in 4.4.5, better in 4.4.7
Comment 2 Jay Turner 2005-01-14 08:34:14 EST
Comment 3 Max Spevack 2005-01-14 14:40:48 EST
Runs clean in up2date-4.4.7-1

Keep in mind, however, that the rhel-4-RC does not contain this
package.  It won't appear until after rhel-4 is released.

Note You need to log in before you can comment on or make changes to this bug.